Loading...
Searching...
No Matches
juce::AudioPluginExtensions::VSTClient Struct Referenceabstract

## Detailed Description

Can be used to retrieve information about a VST that is wrapped by an AudioProcessor.

The documentation for this struct was generated from the following file:

- juce_audio_processors_headless/utilities/juce_AudioPluginExtensions.h

## Classes

class | ExtraFunctions
| Base class for some extra functions that can be attached to a VST plugin instance. More...

## Public Member Functions

virtual | ~VSTClient ()=default
virtual AEffect * | getAEffectPtr () const noexcept=0
virtual const XmlElement * | getVSTXML () const =0
| Attempts to retrieve the VSTXML data from a plugin.
virtual bool | loadFromFXBFile (Span< const std::byte > data)=0
| Attempts to reload a VST plugin's state from some FXB or FXP data.
virtual bool | saveToFXBFile (MemoryBlock &result, bool asFXB)=0
| Attempts to save a VST's state to some FXP or FXB data.
virtual bool | setChunkData (Span< const std::byte > data, bool isPreset)=0
| Attempts to set a VST's state from a chunk of memory.
virtual bool | getChunkData (MemoryBlock &result, bool isPreset) const =0
| Attempts to get a VST's state as a chunk of memory.
virtual void | setExtraFunctions (std::unique_ptr< ExtraFunctions > functions)=0
| Provides an ExtraFunctions callback object for a plugin to use.
virtual pointer_sized_int | dispatcher (int32, int32, pointer_sized_int, void *, float)=0
| This simply calls directly to the VST's AEffect::dispatcher() function.

## Constructors and Destructors

## ~VSTClient()

virtual juce::AudioPluginExtensions::VSTClient::~VSTClient | ( |  | ) |

virtual default

## Member Functions

## getAEffectPtr()

virtual AEffect * juce::AudioPluginExtensions::VSTClient::getAEffectPtr | ( |  | ) | const

pure virtual noexcept

## getVSTXML()

virtual const XmlElement * juce::AudioPluginExtensions::VSTClient::getVSTXML | ( |  | ) | const

pure virtual

Attempts to retrieve the VSTXML data from a plugin.

Will return nullptr if the plugin doesn't have any VSTXML.

References getVSTXML().

Referenced by getVSTXML().

## loadFromFXBFile()

virtual bool juce::AudioPluginExtensions::VSTClient::loadFromFXBFile | ( | Span< const std::byte > | data | ) |

pure virtual

Attempts to reload a VST plugin's state from some FXB or FXP data.

References loadFromFXBFile().

Referenced by loadFromFXBFile().

## saveToFXBFile()

virtual bool juce::AudioPluginExtensions::VSTClient::saveToFXBFile | ( | MemoryBlock & | result,
|  | bool | asFXB )

pure virtual

Attempts to save a VST's state to some FXP or FXB data.

References saveToFXBFile().

Referenced by saveToFXBFile().

## setChunkData()

virtual bool juce::AudioPluginExtensions::VSTClient::setChunkData | ( | Span< const std::byte > | data,
|  | bool | isPreset )

pure virtual

Attempts to set a VST's state from a chunk of memory.

References setChunkData().

Referenced by setChunkData().

## getChunkData()

virtual bool juce::AudioPluginExtensions::VSTClient::getChunkData | ( | MemoryBlock & | result,
|  | bool | isPreset ) const

pure virtual

Attempts to get a VST's state as a chunk of memory.

References getChunkData().

Referenced by getChunkData().

## setExtraFunctions()

virtual void juce::AudioPluginExtensions::VSTClient::setExtraFunctions | ( | std::unique_ptr< ExtraFunctions > | functions | ) |

pure virtual

Provides an ExtraFunctions callback object for a plugin to use.

The plugin will take ownership of the object and will delete it automatically.

## dispatcher()

virtual pointer_sized_int juce::AudioPluginExtensions::VSTClient::dispatcher | ( | int32 | ,
|  | int32 | ,
|  | pointer_sized_int | ,
|  | void * | ,
|  | float | )

pure virtual

This simply calls directly to the VST's AEffect::dispatcher() function.

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited